## Quand utiliser cette composante
Les encadrés et apartés sont des passages ou des renseignements connexes qui ont été extraits d’un contenu plus important et qui ont été modifiés visuellement pour attirer l’attention des utilisateurs. Ils peuvent être utilisés pour&nbsp;:

* des renseignements importants
* des exemples
* des précisions à propos de la page

<hr>

## Encadré
Un **encadré** est utilisé pour **mettre l’accent sur un extrait important d’information** du contenu d’une page. Le contenu d’un encadré doit être un élément de la page que vous souhaitez mettre en évidence, mais il ne s’agit pas d’une information **cruciale**.

<hr>

## Aparté
Un **aparté** doit inclure le contenu qui **n’est pas directement lié au contenu présent sur la page**. Le contenu d’un aparté pourrait être considéré comme distinct du reste du contenu de la page.

Utilisez un aparté plutôt qu’un encadré lorsque le contenu peut être ignoré sans nuire au reste du contenu. Les apartés sont codés autrement que les encadrés afin de ne pas perturber le contenu pour les lecteurs d’écran.

<hr>

## Pratiques exemplaires

### À faire&nbsp;:
* rester bref, en visant un maximum de 280 caractères
* réduire au minimum l’utilisation des encadrés et des apartés; éviter si possible d’en avoir plusieurs par page
* choisir un maximum de deux [couleurs d’accent](#colours) qui correspondent à la stratégie de marque

### À ne pas faire&nbsp;:
* utiliser un encadré ou un aparté pour remplacer les alertes critiques ou les alertes de page
* mettre un paragraphe entier de contenu (plutôt qu’un court extrait) dans un encadré ou un aparté

<hr>

## <a name="colours"></a> Options de couleur

Vous pouvez vous servir des couleurs dédiées pour la ligne d’accentuation dans les encadrés et apartés. Ajoutez le nom de classe suivant aux divisions d'encadrés et d'apartés qu'il faut appliquer.

| Couleur    | Nom de la couleur                                                                   | Hex code                                                          |SCSS variable             | Nom de catégorie |
|-----------|--------------------------------------------------------------|------------------------------------------------|---------------------|------|
| <div class="fractal-colour-circle fractal-colour-outline ontario-bg-dark-teal"></div> | Sarcelle foncé (défaut) | `#367A76`   | `$ontario-colour-dark-teal` | `ontario-border-highlight--teal` |
| <div class="fractal-colour-circle fractal-colour-outline ontario-bg-dark-gold"></div> | Doré foncé | `#86743D`  | `$ontario-colour-dark-gold` | `ontario-border-highlight--gold` |
| <div class="fractal-colour-circle fractal-colour-outline ontario-bg-dark-yellow"></div> | Jaune foncé | `#8A600D`  | `$ontario-colour-dark-yellow` | `ontario-border-highlight--yellow` |
| <div class="fractal-colour-circle fractal-colour-outline ontario-bg-dark-taupe"></div> | Taupe foncé | `#7B725C` | `$ontario-colour-dark-taupe` | `ontario-border-highlight--taupe` |
| <div class="fractal-colour-circle fractal-colour-outline ontario-bg-dark-lime"></div> | Lime foncé | `#5F8129` | `$ontario-colour-dark-lime` | `ontario-border-highlight--lime` |
| <div class="fractal-colour-circle fractal-colour-outline ontario-bg-dark-sky"></div> | Ciel foncé | `#1080A6` | `$ontario-colour-dark-sky` |  `ontario-border-highlight--sky` |
| <div class="fractal-colour-circle fractal-colour-outline ontario-bg-dark-purple"></div> | Mauve foncé | `#92278F` | `$ontario-colour-dark-purple` | `ontario-border-highlight--purple` |
 
<hr>

## Aidez à améliorer cette page

Si vous avez d’autres suggestions, des conseils ou des questions sur les encadrés et apartés, l’[équipe du système de conception]({{path '../../docs/give-feedback.html'}}) serait heureuse de les connaître.
