**[Principe directeur]({{path '../../docs/documentation/design-principles.html'}})&nbsp;:** Donner le contrôle à l’utilisateur

## Quand utiliser cette composante
Employez des cases à cocher lorsque vous voulez que l’utilisateur&nbsp;:
* sélectionne **plus d’une option** dans une liste;
* **signe** ou approuve quelque chose à l’aide d’une simple case à cocher.
 
Si vous voulez que l’utilisateur sélectionne une seule option, utilisez une liste pourvue de [cases d’option]({{path './radio-buttons.html'}}).

<hr>

## Ordre des listes de cases à cocher
Mettez les listes de cases à cocher en ordre **alphabétique**, sauf pour ces exceptions&nbsp;:

* inscrire oui avant non;
* si vous savez qu’une proportion de **[90 % ou plus](https://uxplanet.org/ux-design-drop-downs-in-forms-c6943ec30037) de vos utilisateurs** sélectionneront une option en particulier, placez‑la au sommet de la liste;
  * inscrivez par exemple «&nbsp;Ontario&nbsp;» au sommet de la liste si les utilisateurs sélectionnent leur province dans une liste;
  * prenez soin de ne pas influencer le choix de l’utilisateur ou d’insister sur l’importance d’une option par rapport à une autre;
* placez les options **«&nbsp;Aucune de ces réponses&nbsp;» ou «&nbsp;Je ne sais pas&nbsp;» à la fin de la liste**.

<hr>

## Spécifications techniques

<img src="{{path '../../markdown-assets/checkboxes/DS_Checkboxes_Label-fr.png'}}" alt="Question obligatoire demandant « Quel mode de communication devrions-nous utiliser avec vous »? Les options de la case à cocher sont le message texte, le courriel et l'appel téléphonique, avec une flèche pointant sur « message texte » pour l’indiquer comme une étiquette. L'option d'appel téléphonique est cochée." />

### À faire&nbsp;:

* **Toujours insérer une [étiquette]({{path './labels.html'}}) associée à un identifiant correspondant** près de chaque case à cocher.
* Placer les cases à cocher **à gauche de leurs étiquettes.**
* **Aligner à gauche** les cases à cocher.
* Toujours permettre **la sélection de l’étiquette et de la case à cocher.**
* Empiler les cases à cocher **à la verticale.**
  * Exception&nbsp;: oui/non peuvent être placés à l’horizontale.

### À ne pas faire:

* Changer la **taille par défaut** d’une case à cocher (32 px par 32 px).
* **Présélectionner** des cases à cocher (les utilisateurs pourraient rater la question ou soumettre la mauvaise réponse).

<hr>

## Aidez à améliorer cette page
L’équipe du système de conception songe à proposer une case à cocher plus petite – veuillez [nous faire savoir]({{path '../../docs/give-feedback.html'}})si ce genre de case vous serait utile.

Si vous avez d’autres suggestions, des conseils ou des questions sur les cases à cocher, l’[équipe du système de conception]({{path '../../docs/give-feedback.html'}}) serait heureuse de les connaître.
