<p class="ontario-lead-statement">Utilisez toujours une version modifiée de la police Raleway pour les titres, et la police Open Sans pour les en‑têtes et le corps du texte.</p>

**[Principe directeur]({{path '../../docs/documentation/design-principles.html'}})&nbsp;:** Faire preuve de cohérence.

<hr class="dark">

## Avant de commencer – installez la police «&nbsp;Raleway modified&nbsp;»
Pour faciliter la lecture, nous avons modifié les «&nbsp;w&nbsp;» et les chiffres de la police Raleway normale. Ainsi, la première chose à faire avant d’entamer la conception est de [télécharger les polices du système de conception]({{path '../../fonts/ds-fonts.zip'}}). (Les utilisateurs n’auront pas à l’installer parce qu’ils l’obtiendront directement de nous au fil du chargement de leurs pages.)
<hr>

## Parties de la page

<img src="{{path '../../markdown-assets/fonts/DS_TypographyHeadings_Guidance-fr.png'}}" alt="Exemple d’une page démontrant les niveaux de titre. Le titre de la page est « Services pour entreprises », avec une flèche pointant vers lui pour l'indiquer comme un titre. Le texte sous le titre se lit comme suit : « Vous pouvez vous occuper de toutes sortes d’activités en ligne, de l’enregistrement du nom de l’entreprise au dépôt d’une petite réclamation, jusqu’à l’obtention d’un permis d’agent de sécurité », avec une flèche pointant vers ce texte pour l'identifier comme texte d’en-tête. Il y a une flèche pointant vers « Obtenir des services en ligne » pour l'identifier comme sous-titre, avec un texte du corps en dessous." />

<hr>

## Titres
Les rédacteurs emploient des titres et des sous-titres pour structurer l’information sur une page. 

### Police des titres
Employez la police **Raleway modified** pou les titres des pages Web de l’Ontario. Si un caractère est absent de la police Raleway modified, l’utilisateur le verra apparaître en (dans l’ordre)&nbsp;:
1. Open Sans
2. Helvetica Neue
3. Sans Serif 

Utilisez un texte (presque) noir (#1A1A1A) pour la couleur de police normale sur fond blanc (#FFFFFF).

### Niveaux de titre
Il existe six niveaux de titre&nbsp;: de H1 à H6. H1 est le titre de la page, et H2-H6 sont des niveaux de sous‑titre. Habituellement, les rédacteurs essaient de ne pas dépasser le niveau H4 parce que trop de sous‑titres imbriqués rendent parfois une page difficile à lire.  

Les typomètres approximatifs des titres H1 à H6 sont&nbsp;:

* 1,2 pour les écrans d’ordinateur 
* 1,137 pour les écrans d’appareils mobiles 

L’épaisseur de trait de la police des titres, pour les écrans tant d’ordinateur que d’appareils mobiles, est de `700`.

### À faire&nbsp;:
* Employer seulement un titre H1 par page 
* Employer les titres H2 à H6 (dans l’ordre) pour structurer davantage votre page 
    * Utiliser par exemple un H3 sous un H2, un H4 sous un H3, et ainsi de suite 

#### À ne pas faire&nbsp;:
* Employer plus d’un titre H1 par page 
* Omettre un niveau de titre
   * Par exemple, ne pas placer un H3 sous un H1 sans avoir de H2 entre les deux

<hr>

## Texte d’en-tête

Sur les pages Web de l’Ontario, l’«&nbsp;en-tête&nbsp;» est le texte qui suit directement le titre (H1). Les rédacteurs utilisent le texte d’en‑tête pour indiquer brièvement à l’utilisateur ce qu’ils trouveront sur la page, pour qu’ils sachent s’ils sont au bon endroit.

Employez la catégorie `ontario-lead-statement` pour le texte d’en-tête.

<span class="ontario-lead-statement">Le contenu de l’en-tête ressemble à ceci.</span>

### Police du texte d’en-tête

Employez la police Open Sans pour le texte d’en-tête des pages Web de l’Ontario. Si un caractère est absent de la police Open Sans, l’utilisateur le verra apparaître en (dans l’ordre) 
1. Helvetica Neue
2. Sans Serif 

La taille par défaut du texte d’en-tête est de 22 px pour les écrans d’ordinateur et d’appareils mobiles.

Utilisez un texte (presque) noir (`#1A1A1A`) pour le texte d’en-tête sur une page à fond blanc (`#FFFFFF`).

<hr>

## Texte du corps
Employez le texte du corps pour le contenu principal et les paragraphes de votre page.

<strong>Utilisez la balise `<strong>` pour le texte du corps en caractères gras. </strong>.

<cite>Utilisez la balise `<cite>` pour l’italique</cite>.

### Police du texte de corps
Employez la police Open Sans pour le texte de corps des pages Web de l’Ontario. Si un caractère est absent de la police Open Sans, l’utilisateur le verra apparaître en (dans l’ordre)  
1. Helvetica Neue
2. Sans Serif 

La taille par défaut du texte d’en-tête est de 16 px pour les écrans d’ordinateur et d’appareils mobiles.

Utilisez un texte (presque) noir (`#1A1A1A`) pour le texte de corps sur une page à fond blanc (`#FFFFFF`).

<hr>

## Spécifications relatives aux polices (graphique sommaire)

Pour toutes les polices ci-dessous, à travers les tailles d’écrans d’ordinateur et d’appareils mobiles&nbsp;:
* **Couleur du texte&nbsp;:** <code>#1A1A1A</code>
* **Couleur du corps de page&nbsp;:** <code>#FFFFFF</code>

<div class="fractal-table-scroll">

| Nom      | Styles pour mobile                                                                      | Styles pour ordinateur                                                                | 
|-----------|-------------------------------------------------------------------------------------|--------------------------------------------------------------------------------------|
| <h1>H1</h1>        | Police&nbsp;: Raleway modified<br>Taille&nbsp;: 32px<br>Hauteur de ligne  1.29<br>Épaisseur&nbsp;: 700<br>Espacement&nbsp;: 0.04rem | Police&nbsp;: Raleway modified<br>Taille&nbsp;: 40px<br>Hauteur de ligne&nbsp;: 1.2<br>Épaisseur&nbsp;: 700<br>Espacement&nbsp;: 0.04rem   | 
| <h2>H2</h2>        | Police&nbsp;: Raleway modified<br>Taille&nbsp;: 27px<br>Hauteur de ligne&nbsp;: 1.37<br>Épaisseur&nbsp;: 700<br>Espacement&nbsp;: 0.03rem | Police&nbsp;: Raleway modified<br>Taille&nbsp;: 33px<br>Hauteur de ligne&nbsp;: 1.33<br>Épaisseur&nbsp;: 700<br>Espacement&nbsp;: 0.02rem  | 
| <h3>H3</h3>        | Police&nbsp;: Raleway modified<br>Taille&nbsp;: 23px<br>Hauteur de ligne&nbsp;: 1.39<br>Épaisseur&nbsp;: 700<br>Espacement&nbsp;: 0.02rem | Police&nbsp;: Raleway modified<br>Taille&nbsp;: 28px<br>Hauteur de ligne&nbsp;: 1.43<br>Épaisseur&nbsp;: 700<br>Espacement&nbsp;: 0.02rem  | 
| <h4>H4</h4>        | Police&nbsp;: Raleway modified<br>Taille&nbsp;: 20px<br>Hauteur de ligne&nbsp;: 1.5<br>Épaisseur&nbsp;: 700<br>Espacement&nbsp;: 0.03rem  | Police&nbsp;: Raleway modified<br>Taille&nbsp;: 24px<br>Hauteur de ligne&nbsp;: 1.5<br>Épaisseur&nbsp;: 700<br>Espacement&nbsp;: 0.0313rem | 
| <h5>H5</h5>        | Police&nbsp;: Raleway modified<br>Taille&nbsp;: 18px<br>Hauteur de ligne&nbsp;: 1.56<br>Épaisseur&nbsp;: 700<br>Espacement&nbsp;: 0.03rem | Police&nbsp;: Raleway modified<br>Taille&nbsp;: 19px<br>Hauteur de ligne&nbsp;: 1.5<br>Épaisseur&nbsp;: 700<br>Espacement&nbsp;: 0.025rem  | 
| <h6>H6</h6>        | Police&nbsp;: Raleway modified<br>Taille&nbsp;: 16px<br>Hauteur de ligne&nbsp;: 1.56<br>Épaisseur&nbsp;: 700<br>Espacement&nbsp;: 0.03rem | Police&nbsp;: Raleway modified<br>Taille&nbsp;: 16px<br>Hauteur de ligne&nbsp;: 1.5<br>Épaisseur&nbsp;: 700<br>Espacement&nbsp;: 0.025rem  | 
| Body text | Police&nbsp;: Open Sans<br>Taille&nbsp;: 16px<br>Hauteur de ligne&nbsp;: 1.6<br>Épaisseur&nbsp;: 400                    | Police&nbsp;: Open Sans<br>Taille&nbsp;: 16px<br>Hauteur de ligne&nbsp;: 1.6<br>Épaisseur&nbsp;: 400                     | 
| <span class="ontario-lead-statement">Lead text</span> | Police&nbsp;: Open Sans<br>Taille&nbsp;: 20px<br>Hauteur de ligne&nbsp;: 1.6<br>Épaisseur&nbsp;: 400                    | Police&nbsp;: Open Sans<br>Taille&nbsp;: 22px<br>Hauteur de ligne&nbsp;: 1.6<br>Épaisseur&nbsp;: 400                  |  

</div>

<hr>

## Aidez à améliorer cette page

Si vous avez d’autres suggestions, des conseils ou des questions sur les polices et la typographie, l’[équipe du système de conception]({{path '../../docs/give-feedback.html'}}) serait heureuse de les connaître.
